Bug 902567 - Inventory task: Use lshw instead of libparted for retrieving disk information
Inventory task: Use lshw instead of libparted for retrieving disk information
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.0
: ---
Assigned To: Dan Callaghan
Dan Callaghan
Inventory
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 19:48 EST by Amit Saha
Modified: 2015-08-26 02:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 02:18:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amit Saha 2013-01-21 19:48:46 EST
Description of problem:

Currently the inventory task uses libparted (using ctypes) to retrieve disk information. Knowing the exact libparted version (for different distros) to load is a a trial and error operation and has led to trying a number of libparted libraries before one is found.


Using a solution such as 'lshw' eradicates that problem. Besides, it also falls in place with the move to 'lshw' for gathering other inventory data.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amit Saha 2013-01-21 19:50:27 EST
On Gerrit: http://gerrit.beaker-project.org/#/c/1659/
Comment 2 Marian Csontos 2013-01-22 04:08:35 EST
Check it on s390 (and other platforms - ppc64?), please. I tried using lshw in the past and the output on s390 was far from complete.
Comment 4 Amit Saha 2014-06-11 04:22:44 EDT
Updated patch in http://gerrit.beaker-project.org/#/c/3139/
Comment 5 Amit Saha 2014-06-11 23:29:07 EDT
(In reply to Amit Saha from comment #4)
> Updated patch in http://gerrit.beaker-project.org/#/c/3139/

Separated out into it's own patch: http://gerrit.beaker-project.org/#/c/3141/
Comment 6 Amit Saha 2014-06-12 00:22:57 EDT
(In reply to Marian Csontos from comment #2)
> Check it on s390 (and other platforms - ppc64?), please. I tried using lshw
> in the past and the output on s390 was far from complete.

Yes indeed. We will  have to rectify that. Started off with this: http://gerrit.beaker-project.org/#/c/3142/2
Comment 7 Amit Saha 2014-06-22 06:46:31 EDT
lshw doesn't bring up anything with VirtIO disks
Comment 8 Amit Saha 2014-06-24 07:48:22 EDT
(In reply to Amit Saha from comment #7)
> lshw doesn't bring up anything with VirtIO disks

http://gerrit.beaker-project.org/#/c/3169/
Comment 9 Dan Callaghan 2015-07-23 20:44:29 EDT
We have virtio disks and IBM vio disks (bug 1212291) and S/390 DASD (bug 1212311) in lshw now, so I think we are in a good position to switch to using that instead of libparted.
Comment 10 Dan Callaghan 2015-07-23 21:45:32 EDT
http://gerrit.beaker-project.org/4312
Comment 13 Dan Callaghan 2015-07-27 00:14:22 EDT
It's an lshw bug: https://git.beaker-project.org/cgit/lshw/commit/?id=78bb0ffbecf3b0f7dfb7e7042c6eb59dbd540e1a
Filed upstream but it's still in the moderation queue.
Comment 15 Dan Callaghan 2015-08-26 02:18:09 EDT
Beaker 21.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.